Fix: disallow re-using same event ID in same stream
[babeltrace.git] / README
CommitLineData
d79865b9
MD
1BabelTrace - Trace Format Babel Tower
2Mathieu Desnoyers, EfficiOS Inc.
3September 2010
4
5This project provides trace read and write libraries, as well as a trace
6converter. A plugin can be created for any trace format to allow its conversion
7to/from another trace format.
efc652bd 8
f5f66f74
MD
9The main format expected to be converted to/from is the Common Trace
10Format (CTF). The latest version of the CTF specification can be found at:
11
12 git tree: git://git.efficios.com/ctf.git
13 gitweb: http://git.efficios.com/?p=ctf.git
14
d8ff4d5c
MD
15The CE Workgroup of the Linux Foundation, Ericsson, and EfficiOS have
16sponsored this work.
17
f5f66f74 18
5c9abf1b
MD
19BUILDING
20--------
efc652bd 21
5c9abf1b
MD
22 ./bootstrap (skip if using tarball)
23 ./configure
24 make
25 make install
5d2e189a 26 ldconfig
5c9abf1b 27
5c9abf1b
MD
28DEPENDENCIES
29------------
30
31To compile Babeltrace, you will need:
32
33 gcc 3.2 or better
5c9abf1b
MD
34 libc6 development librairies
35 (Debian : libc6, libc6-dev)
36 (Fedora : glibc, glibc)
0da4d788
MD
37 glib 2.22 or better development libraries
38 (Debian : libglib2.0-0, libglib2.0-dev)
39 (Fedora : glib2, glib2-devel)
ce8e64d5
MD
40 uuid development libraries
41 (Debian : uuid-dev)
42 (Fedora : uuid-devel)
8479699f 43 libpopt >= 1.13 development libraries
0da4d788 44 (Debian : libpopt-dev)
16b695f5 45 (Fedora : popt)
24a3136a 46 python headers (optional)
94a6cea3 47 (Debian/Ubuntu : python3-dev)
24a3136a
DS
48 swig >= 2.0 (optional)
49 (Debian/Ubuntu : swig2.0)
9872e818
JG
50 python 3.0 or better (optional)
51 (Debian/Ubuntu : python3)
24a3136a 52
94a6cea3
JG
53 If you want Python bindings, run ./configure --enable-python-bindings.
54 Please note that some distributions will need the following
55 environment variables set before running configure:
56
57 export PYTHON="python3"
58 export PYTHON_CONFIG="/usr/bin/python3-config"
5c9abf1b
MD
59
60For developers using the git tree:
efc652bd
MD
61
62This source tree is based on the autotools suite from GNU to simplify
63portability. Here are some things you should have on your system in order to
64compile the git repository tree :
65
76fb4848 66- GNU autotools (automake >=1.10, autoconf >=2.50, autoheader >=2.50)
efc652bd 67 (make sure your system wide "automake" points to a recent version!)
0f71b863 68- GNU Libtool >=2.2
efc652bd 69 (for more information, go to http://www.gnu.org/software/autoconf/)
5e7e97cb
MD
70- Flex >=2.5.35.
71- Bison >=2.4.
efc652bd
MD
72
73If you get the tree from the repository, you will need to use the "bootstrap"
74script in the root of the tree. It calls all the GNU tools needed to prepare the
75tree configuration.
db96f222
MD
76
77Running "make check": bash is required.
This page took 0.0405 seconds and 4 git commands to generate.